Public Member Functions | Private Attributes | List of all members
libpagemaker::PMDEllipse Class Reference

`#include <geometry.h>`

Inheritance diagram for libpagemaker::PMDEllipse:

## Public Member Functions
| PMDEllipse (const PMDShapePoint &bboxTopLeft, const PMDShapePoint &bboxBotRight, const PMDXForm &xFormContainer, const PMDFillProperties fillProps, const PMDStrokeProperties strokeProps)
double | getRotation () const override
double | getSkew () const override
PMDShapePoint | getXformTopLeft () const override
PMDShapePoint | getXformBotRight () const override
PMDShapePoint | getRotatingPoint () const override
bool | getIsClosed () const override
std::vector< PMDShapePoint > | getPoints () const override
PMDShapePoint | getBboxTopLeft () const override
PMDShapePoint | getBboxBotRight () const override
uint8_t | shapeType () const override
PMDFillProperties | getFillProperties () const override
PMDStrokeProperties | getStrokeProperties () const override
std::string | getText () const override
std::vector< PMDCharProperties > | getCharProperties () const override
std::vector< PMDParaProperties > | getParaProperties () const override
librevenge::RVNGBinaryData | getBitmap () const override
| ~PMDEllipse () override
Public Member Functions inherited from libpagemaker::PMDLineSet
virtual std::vector< PMDShapePoint > | getPoints () const =0
virtual bool | getIsClosed () const =0
virtual double | getRotation () const =0
virtual double | getSkew () const =0
virtual PMDShapePoint | getRotatingPoint () const =0
virtual PMDShapePoint | getXformTopLeft () const =0
virtual PMDShapePoint | getXformBotRight () const =0
virtual uint8_t | shapeType () const =0
virtual PMDShapePoint | getBboxTopLeft () const =0
virtual PMDShapePoint | getBboxBotRight () const =0
virtual PMDFillProperties | getFillProperties () const =0
virtual PMDStrokeProperties | getStrokeProperties () const =0
virtual std::string | getText () const =0
virtual std::vector< PMDCharProperties > | getCharProperties () const =0
virtual std::vector< PMDParaProperties > | getParaProperties () const =0
virtual librevenge::RVNGBinaryData | getBitmap () const =0
virtual | ~PMDLineSet ()

## Private Attributes
PMDShapePoint | m_bboxTopLeft
PMDShapePoint | m_bboxBotRight
PMDXForm | m_xFormContainer
PMDFillProperties | m_fillProps
PMDStrokeProperties | m_strokeProps

## Constructor & Destructor Documentation

## ◆ PMDEllipse()

libpagemaker::PMDEllipse::PMDEllipse | ( | const PMDShapePoint & | bboxTopLeft,
|  | const PMDShapePoint & | bboxBotRight,
|  | const PMDXForm & | xFormContainer,
|  | const PMDFillProperties | fillProps,
|  | const PMDStrokeProperties | strokeProps
| ) |  |
| inline

## ◆ ~PMDEllipse()

libpagemaker::PMDEllipse::~PMDEllipse | ( |  | ) |
| inline override

## Member Function Documentation

## ◆ getBboxBotRight()

PMDShapePoint libpagemaker::PMDEllipse::getBboxBotRight | ( |  | ) | const
| inline override virtual

Implements libpagemaker::PMDLineSet.

## ◆ getBboxTopLeft()

PMDShapePoint libpagemaker::PMDEllipse::getBboxTopLeft | ( |  | ) | const
| inline override virtual

Implements libpagemaker::PMDLineSet.

## ◆ getBitmap()

librevenge::RVNGBinaryData libpagemaker::PMDEllipse::getBitmap | ( |  | ) | const
| inline override virtual

Implements libpagemaker::PMDLineSet.

## ◆ getCharProperties()

std::vector< PMDCharProperties > libpagemaker::PMDEllipse::getCharProperties | ( |  | ) | const
| inline override virtual

Implements libpagemaker::PMDLineSet.

## ◆ getFillProperties()

PMDFillProperties libpagemaker::PMDEllipse::getFillProperties | ( |  | ) | const
| inline override virtual

Implements libpagemaker::PMDLineSet.

## ◆ getIsClosed()

bool libpagemaker::PMDEllipse::getIsClosed | ( |  | ) | const
| inline override virtual

Implements libpagemaker::PMDLineSet.

## ◆ getParaProperties()

std::vector< PMDParaProperties > libpagemaker::PMDEllipse::getParaProperties | ( |  | ) | const
| inline override virtual

Implements libpagemaker::PMDLineSet.

## ◆ getPoints()

std::vector< PMDShapePoint > libpagemaker::PMDEllipse::getPoints | ( |  | ) | const
| inline override virtual

Implements libpagemaker::PMDLineSet.

## ◆ getRotatingPoint()

PMDShapePoint libpagemaker::PMDEllipse::getRotatingPoint | ( |  | ) | const
| inline override virtual

Implements libpagemaker::PMDLineSet.

## ◆ getRotation()

double libpagemaker::PMDEllipse::getRotation | ( |  | ) | const
| inline override virtual

Implements libpagemaker::PMDLineSet.

## ◆ getSkew()

double libpagemaker::PMDEllipse::getSkew | ( |  | ) | const
| inline override virtual

Implements libpagemaker::PMDLineSet.

## ◆ getStrokeProperties()

PMDStrokeProperties libpagemaker::PMDEllipse::getStrokeProperties | ( |  | ) | const
| inline override virtual

Implements libpagemaker::PMDLineSet.

## ◆ getText()

std::string libpagemaker::PMDEllipse::getText | ( |  | ) | const
| inline override virtual

Implements libpagemaker::PMDLineSet.

## ◆ getXformBotRight()

PMDShapePoint libpagemaker::PMDEllipse::getXformBotRight | ( |  | ) | const
| inline override virtual

Implements libpagemaker::PMDLineSet.

## ◆ getXformTopLeft()

PMDShapePoint libpagemaker::PMDEllipse::getXformTopLeft | ( |  | ) | const
| inline override virtual

Implements libpagemaker::PMDLineSet.

## ◆ shapeType()

uint8_t libpagemaker::PMDEllipse::shapeType | ( |  | ) | const
| inline override virtual

Implements libpagemaker::PMDLineSet.

## Member Data Documentation

## ◆ m_bboxBotRight

PMDShapePoint libpagemaker::PMDEllipse::m_bboxBotRight
| private

Referenced by getBboxBotRight(), and getPoints().

## ◆ m_bboxTopLeft

PMDShapePoint libpagemaker::PMDEllipse::m_bboxTopLeft
| private

Referenced by getBboxTopLeft(), and getPoints().

## ◆ m_fillProps

PMDFillProperties libpagemaker::PMDEllipse::m_fillProps
| private

Referenced by getFillProperties().

## ◆ m_strokeProps

PMDStrokeProperties libpagemaker::PMDEllipse::m_strokeProps
| private

Referenced by getStrokeProperties().

## ◆ m_xFormContainer

PMDXForm libpagemaker::PMDEllipse::m_xFormContainer
| private

Referenced by getRotatingPoint(), getRotation(), getSkew(), getXformBotRight(), and getXformTopLeft().

The documentation for this class was generated from the following file:

- geometry.h